#
# spec file for package ghc-ipynb
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name ipynb
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2
Release:        150500.3.2.1
Summary:        Data structure for working with Jupyter notebooks (ipynb)
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-microlens-aeson-devel
BuildRequires:  ghc-microlens-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
Ipynb defines a data structure for representing Jupyter notebooks, along with
ToJSON and FromJSON instances for conversion to and from JSON .ipynb files.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc Changelog.md

%changelog
* Thu Jan 27 2022 psimons@suse.com
- Update ipynb to version 0.2 revision 1.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/ipynb-0.2/src/Changelog.md
* Mon Nov  1 2021 psimons@suse.com
- Update ipynb to version 0.1.0.2.
  [#]# 0.1.0.2 -- 2020-10-23
  * Changes for aeson 2 compatibility.
  * Simplified round trip test to avoid use of aeson-diff, which doesn't work with aeson 2.
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 psimons@suse.com
- Re-generate file with latest version of spec-cleaner.
* Wed May  6 2020 psimons@suse.com
- Update ipynb to version 0.1.0.1.
  [#]# 0.1.0.1 -- 2020-04-25
  * Fixed to build with base64-bytestring 1.1.
* Fri Nov  8 2019 psimons@suse.com
- Drop obsolete group attributes.
* Sat Feb  2 2019 psimons@suse.com
- Add ipynb at version 0.1.
